Gant visualization issue
2010-10-20 18:30 - Jose Javier Sianes Ruiz

Status: Closed Start date: 2010-10-20
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Gantt Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.0.1
Description

We have an estrange Gant visualization issue. In a project when we request to show gant the visualizacion seems to be correct
when only open issues are displayed. But when we select to show all issue, issues with subtask closed and opens apears twice (look
at issue number 1335), once showing only closed subtask and other with closed and open subtasks. Could be a bug in gant
representation module of Redmine? We are using 1.0.1 stable version of Redmine.

History

#1 - 2010-10-27 23:20 - Jean-Baptiste Barth

Gantt charts has been completely rewritten for Redmine 1.1.0, which will be released in the end of 2010. It seems parent task to subtasks relations
are not displayed anymore in the new implementation, and | cannot reproduce the bug with it.

Other contributors: any idea of what we should do here ?
#2 - 2010-10-27 23:27 - Eric Davis
Jean-Baptiste Barth wrote:

It seems parent task to subtasks relations are not displayed anymore in the new implementation, and | cannot reproduce the bug with it.

Parent/child issues are displayed in the new implementation.

Since 1.1 is only a few months away and since the Gantt was completely rewritten, | think this should be closed as won't fix. Any work put into 1.0.x
for Gantts will be thrown away.

#3 - 2010-10-27 23:41 - Jean-Baptiste Barth

Eric Davis wrote:
Parent/child issues are displayed in the new implementation.
Hm, not on my tests 5 mins ago :( I'll try to find why and add an issue if needed.

#4 - 2010-10-29 13:01 - Jose Javier Sianes Ruiz

So, do you recommend me to upgrade version 1.1.0 to solve the problem?

#5 - 2010-11-17 09:02 - Jose Javier Sianes Ruiz

- Status changed from New to Resolved

Solved in #6763

#6 - 2010-12-30 06:41 - Mischa The Evil
- Status changed from Resolved to Closed

- Resolution set to Invalid

Jose Javier Sianes Ruiz wrote:

Solved in #6763
Thanks for the feedback. Though | doubt that it was the solution for #6763 which fixed your issue.

Files
gantt-opens.PNG 75.8 KB 2010-10-20 Jose Javier Sianes Ruiz
gantt-all.PNG 89.5 KB 2010-10-20 Jose Javier Sianes Ruiz
